Rakefile.tt - bundler-1.9.9 Documentation

require “bundler/gem_tasks” <% if config == 'minitest' -%> require “rake/testtask”

Rake::TestTask.new(:test) do |t|

    t.libs << "test"

end

task :default => :test <% elsif config == 'rspec' -%> require “rspec/core/rake_task”

RSpec::Core::RakeTask.new(:spec)

task :default => :spec <% end -%> <% if config -%> require “rake/extensiontask”

task :build => :compile

Rake::ExtensionTask.new(“<%=config%>”) do |ext|

    ext.lib_dir = "lib/<%=config[:namespaced_path]%>"

end <% end -%>